-- Schema: C6MartPeriodico
-- Stored Procedure: SP_Valorizza_Stati_semaforo_TRIM












-- flag_stato=1 completato (verde)
-- flag_stato=2 in esecuzione (giallo)
-- flag_stato=3 non lavorato (rosso)

--truncate table C6MartPeriodico.tab_semaforo

--C6MartPeriodico.SP_Valorizza_Stati_semaforo_TRIM quad_end,SEI

  --select * from C6MartPeriodico.tab_semaforo
-- Stored procedure  
  
-- =============================================  
-- Author:  <Author,,Name>  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
CREATE   procedure [C6MartPeriodico].[SP_Valorizza_Stati_semaforo_TRIM] @param1 varchar(20),@tipo varchar(20)
AS  
BEGIN  
 -- SET NOCOUNT ON added to prevent extra result sets from  
 -- interfering with SELECT statements.  
 declare 
 @intero  int,
 @trimestrale varchar(3),
 @lotto_zero varchar(3),
 @quadratura varchar(3),
 @lotto varchar(3),
 @congelamento varchar(3),
 @sm1 varchar(3),
 @position varchar(3),
 @adeguatezza varchar(3),
 @post_ade varchar(3),
 @sm2 varchar(3),
 @certificazione varchar(3),
 @zipping varchar(3),
 @approval varchar(3),
 @invio varchar(3),
 @postalizzazione varchar(3),

 --descrizioni
 @desc_trimestrale varchar(256),
 @desc_lotto_zero varchar(256),
 @desc_quadratura varchar(256),
 @desc_lotto varchar(256),
 @desc_congelamento varchar(256),
 @desc_sm1 varchar(256),
 @desc_position varchar(256),
 @desc_adeguatezza varchar(256),
 @desc_post_ade varchar(256),
 @desc_sm2 varchar(256),
 @desc_certificazione varchar(256),
 @desc_zipping varchar(256),
 @desc_approval varchar(256),
 @desc_invio varchar(256),
 @desc_postalizzazione varchar(256)

 set @intero='0'
 set @trimestrale='1'
 set @lotto_zero='2'
 set @quadratura='3'
 set @lotto='2'
 set @congelamento='4'
 set @sm1='5'
 set @position='6'
 --set @adeguatezza='7'
 --set @post_ade='8'
 set @sm2='7'
 set @certificazione='8'
 set @zipping='9'
 set @approval='10'
 set @invio='11'
 set @postalizzazione='12'

  set @desc_trimestrale='Rendicontazioni sugli investimenti per i clienti con contratto di consulenza "SEI". '
 set @lotto_zero=''
 set @desc_quadratura='Fase di Quadratura per i clienti tra le varie fonti db.'
 set @desc_lotto='Preparazione delle rendicontazioni in corso.'
 set @desc_congelamento='Fase di congelamento per il database di marketing.'
 set @desc_sm1='Preparazione ed elaborazione dati da Staging & Mart Fase 1.'
 set @desc_position='Elaborazione Position Data ed Adeguatezza.'
 --set @adeguatezza='7'
 --set @post_ade='8'
 set @desc_sm2='Preparazione ed elaborazione dati da Staging & Mart Fase 2.'
 set @desc_certificazione='Certificazione sul campione dei PDF dei Clienti.'
 set @desc_zipping='Fase di zip per l''invio dei report.'
 set @desc_approval='Approvazione del lotto corrente.'
 set @desc_invio='Invio dei file generati.'
 set @desc_postalizzazione='Conferma di avvenuta postalizzazione dei PDF dei clienti.'
 


 --select * from C6MartPeriodico.tab_semaforo

 --inserimento
 --select * from C6MartPeriodico.tab_semaforo
 --insert into C6MartPeriodico.tab_semaforo values
 --avvio_trimestre

 --update C6MartPeriodico.tab_semaforo
 --set descrizione='Fase di congelamento per il database di marketing'
 --from C6MartPeriodico.tab_semaforo
 --where id_milestone=4
if ((select COUNT(*) from C6MartPeriodico.tab_semaforo)=0)
begin
insert into C6MartPeriodico.tab_semaforo values 
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@trimestrale,'TRIMESTRALE',@desc_trimestrale,'','',3,@intero,'','',0),
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@lotto_zero,'LOTTO 0','','','',3,@intero,'','',0),
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@quadratura,'QUADRATURA',@desc_quadratura,'','',3,@intero,'','',0),
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@lotto,'LOTTO'+' '+ cast(@intero+1 as varchar),@desc_lotto,'','',3,@intero+1,'','',0),
([C6MartPeriodico].[getTrimestre](GETDATE(),0),@tipo,@congelamento,'CONGELAMEN
